MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025365Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-10-13 18:102014-11-11 13:01
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025365: Regressions after changes in IsClosed flag
DescriptionAfter integration of the fix for #25202 several regressions are reported on master (tag V_6_8_0_beta):

bugs modalg_4 bug697_2, bug697_7 - only on Linux platform (empty shell appeared)
bugs modalg_5 bug24656, bug24684 (open shells previously stored in compound with solid now put inside solid by Boolean operation)

IMAGE bugs vis bug25132: bug25132_Partition_1.png differs (shading of a hole looks incorrect)

In Debug mode, in addition to the above:

bugs modalg_5(010) bug24981 - only on Linux platform
de step_1 E4, F8
de step_3 C6, E6
de step_5 A7
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0033040)
git (administrator)
2014-10-13 20:44

Branch CR25365 has been created by abv.

SHA-1: 12930e5eb34855fe953e86147a484dd0f2fd2540


Detailed log of new commits:

Author: abv
Date: Mon Oct 13 20:44:33 2014 +0400

    0025365: Regressions after changes in IsClosed flag
    
    Restore previous behavior of BRep_Tool::IsClosed() for shells: empty shells are considered non-closed; edges with EXTERNAL and INTERNAL orientation are counted as normal and usually lead to non-closed verdict
(0033041)
abv (manager)
2014-10-13 20:47

I have pushed fix reverting previous behavior to branch CR25365, please test on cases and configurations reported as regressions on current maater
(0033137)
mkv (tester)
2014-10-15 15:20

Dear BugMaster,
Branch CR25365 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 12930e5eb34855fe953e86147a484dd0f2fd2540

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR25365-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR25365-master-occt/Windows-32-VC10/summary.html [^]
Improvements:
bugs modalg_4 bug62
Failed:
boolean bcut_complex I3, I4, I9, O8, Q3
boolean bfuse_complex F6, H5, H7, H9, I7, J2, L3, S6
boolean bopcut_complex C7, C9, D2, D4, D7, D9
boolean bopcut_simple M2, W6, W8, W9, Y1, Y2, Y3, Y4, Z4, Z5, Z6, Z7, Z8, ZB3, ZB4
boolean bopfuse_complex C3, C4, C5, C6, C7, C8
boolean bopfuse_simple M2, W6, W8, W9, Y1, Y2, Y3, Y4, Z2, Z4, Z5, Z6, Z7, Z8, ZB3, ZB4
boolean boptuc_complex A2, A4, A5
bugs modalg_1 buc60462_2, buc60776_1, bug178_2, bug178_3
bugs modalg_2 bug578_1, bug578_2, bug22109_2, bug22109_3
bugs modalg_4 bug775, bug817_1
bugs modalg_5 bug24861
feat featprism M7

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 367175580 / 367489964
Total CPU difference: 46578.73999999986 / 46261.11999999989
products component :
Total MEMORY difference: 119873464 / 120257548
Total CPU difference: 17474.789999999975 / 16813.029999999988

Testing on Windows:
occt component :
Total MEMORY difference: 271430396 / 270400504
Total CPU difference: 40351.40625 / 32098.390625
products component :
Total MEMORY difference: 71159696 / 70036372
Total CPU difference: 13446.03125 / 11148.125

There are no differences in images found by testdiff.
http://occt-tests/CR25365-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25365-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE boolean bfuse_complex E4: E4.png differs
IMAGE bugs modalg_2 bug221: bug22109_2.png differs
IMAGE bugs modalg_4 bug77: bug775.png differs
IMAGE bugs vis bug25132: bug25132_Partition_1.png differs
(0033166)
git (administrator)
2014-10-15 18:32

Branch CR25365_1 has been created by abv.

SHA-1: 28d6535e2ef21b8f81aa60c60e80ae6a7f76ef19


Detailed log of new commits:

Author: abv
Date: Mon Oct 13 20:44:33 2014 +0400

    0025365: Regressions after changes in IsClosed flag
    
    Restore previous behavior of BRep_Tool::IsClosed() for shells: empty shells and shells containing only INTERNAL or EXTERNAL sub-shapes are considered non-closed.
(0033167)
abv (manager)
2014-10-15 18:34

Corrected fix pushed to CR25365_1, please test
(0033183)
mkv (tester)
2014-10-16 11:30

Dear BugMaster,
Branch CR25365_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 28d6535e2ef21b8f81aa60c60e80ae6a7f76ef19

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 370108248 / 370165072
Total CPU difference: 48551.73000000003 / 47120.31999999984
products component :
Total MEMORY difference: 120316464 / 120831464
Total CPU difference: 18314.659999999967 / 17508.95999999998

Testing on Windows:
occt component :
Total MEMORY difference: 272748160 / 272299528
Total CPU difference: 38610.84375 / 32921.78125
products component :
Total MEMORY difference: 71060784 / 70036372
Total CPU difference: 11591.015625 / 11148.125

There are following differences in images found by testdiff.
http://occt-tests/CR25365-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR25365-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE bugs vis bug25132: bug25132_Partition_1.png differs
IMAGE v3d mesh B7: B7_vct1.png differs
(0033188)
abv (manager)
2014-10-16 12:17

IMAGE bugs vis bug25132: OK, reverted to state before integration of #25202

IMAGE v3d mesh B7: I could not reproduce this, the images generated by this test on my machine are different from what is shown in report (I see no arrows at all) and are identical. I believe this is not related to the change made in this fix, since the test deals with MeshVS and not shapes. I suggest you register a separate issue for this variation, as it seems to appear in multiple test reports recently.
(0033195)
mkv (tester)
2014-10-16 12:51

OK.
CR25365_1 is TESTED.
(0033393)
git (administrator)
2014-10-21 16:40

Branch CR25365_1 has been deleted by inv.

SHA-1: 28d6535e2ef21b8f81aa60c60e80ae6a7f76ef19
(0033402)
git (administrator)
2014-10-21 16:40

Branch CR25365 has been deleted by inv.

SHA-1: 12930e5eb34855fe953e86147a484dd0f2fd2540

- Related Changesets
occt: master 94dea18e
Timestamp: 2014-10-13 16:44:33
Author: abv
Committer: bugmaster
Details ] Diff ]
0025365: Regressions after changes in IsClosed flag

Restore previous behavior of BRep_Tool::IsClosed() for shells: empty shells and shells containing only INTERNAL or EXTERNAL sub-shapes are considered non-closed.
mod - src/BRep/BRep_Tool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-13 18:10 abv New Issue
2014-10-13 18:10 abv Assigned To => abv
2014-10-13 18:10 abv Relationship added child of 0025202
2014-10-13 18:11 abv Status new => assigned
2014-10-13 20:44 git Note Added: 0033040
2014-10-13 20:47 abv Note Added: 0033041
2014-10-13 20:47 abv Assigned To abv => mkv
2014-10-13 20:47 abv Status assigned => feedback
2014-10-15 15:20 mkv Note Added: 0033137
2014-10-15 15:20 mkv Assigned To mkv => abv
2014-10-15 15:20 mkv Status feedback => assigned
2014-10-15 15:20 mkv Test case number => Not needed
2014-10-15 18:27 abv Description Updated View Revisions
2014-10-15 18:32 git Note Added: 0033166
2014-10-15 18:33 abv Assigned To abv => mkv
2014-10-15 18:33 abv Status assigned => feedback
2014-10-15 18:34 abv Note Added: 0033167
2014-10-16 11:30 mkv Note Added: 0033183
2014-10-16 11:30 mkv Assigned To mkv => abv
2014-10-16 11:30 mkv Status feedback => acknowledged
2014-10-16 11:30 mkv Status acknowledged => feedback
2014-10-16 12:17 abv Note Added: 0033188
2014-10-16 12:17 abv Assigned To abv => mkv
2014-10-16 12:51 mkv Note Added: 0033195
2014-10-16 12:51 mkv Assigned To mkv => bugmaster
2014-10-16 12:51 mkv Status feedback => tested
2014-10-20 10:24 bugmaster Changeset attached => occt master 94dea18e
2014-10-20 10:24 bugmaster Status tested => verified
2014-10-20 10:24 bugmaster Resolution open => fixed
2014-10-21 16:40 git Note Added: 0033393
2014-10-21 16:40 git Note Added: 0033402
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker